/* Object Rexx (message operator is the tilde: ~),
   this works for Java 1.2 or higher only (not employing the EnumerationWrapper), 2003-05-10 */
-- using Object Rexx' SysStemSort(), which may not be available on OS/2

system=.bsf4rexx~Class.class~forName("java.lang.System")  -- get the class object

properties=system~getProperties     -- get the System properties
enum=properties~propertyNames       -- get an enumeration of the property names
say "enum:" enum "class:" enum~class
key.=0
say copies("=", 70)
do i=1 to 9999 while enum~hasMoreElements       -- loop over enumeration
   key.i=enum~nextElement           -- get next element
end
key.0=i-1                             -- save # of stem array elements
say "key.0="key.0
call sysStemSort "Key.", "A", "I"   -- this was introduced in the Windows version of Object Rexx

do i=1 to key.0
   say "key:" pp(left(key.i, 30)) "value:" pp(properties~getProperty(key.i))
end


::requires BSF.CLS       -- get the Object Rexx support for bsf4rexx

::routine pp   -- "cheap man's pretty print"
  return "[" || arg(1) || "]"

